Subject: Re: bug#30337: auto-filling with 'However,'

From: David Kastrup <[email-masked]>
Date: Sat, 03 Feb 2018 19:22:18 +0100

"Simola Antti (VATT)" <[email-masked]> writes:

> --text follows this line--
>
> Remember to cover the basics, that is, what you expected to happen and
> what in fact did happen.
>
> Be sure to consult the FAQ section in the manual before submitting
> a bug report.  In addition check if the bug is reproducable with an
> up-to-date version of AUCTeX.  So please upgrade to the version
> available from http://www.gnu.org/software/auctex/ if your
> installation is older than the one available from the web site.
>
> If the bug is triggered by a specific (La)TeX file, you should try
> to produce a minimal sample file showing the problem and include it
> in your report.
>
> Your report will be posted for the auctex package at the GNU bug
> tracker.  Visit http://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=auctex
> to browse existing AUCTeX bugs.
> ------------------------------------------------------------------------
>
> I have many times encountered unsatisfactory behavior of M-q
> auto-filling when the subsequent line would start with 'However,'. The
> fill leaves also the preceding word on the line with 'However,',
> although that would fit well on the preceding line.

You don't bother giving an example so I have to guess.  My guess is that
You don't end your sentences with double space but have

    sentence-end-double-space is a variable defined in ‘paragraphs.el’.
    Its value is t

      This variable is safe as a file local variable if its value
      satisfies the predicate ‘booleanp’.

    Documentation:
    Non-nil means a single space does not end a sentence.
    This is relevant for filling.  See also ‘sentence-end-without-period’
    and ‘colon-double-space’.

    This value is used by the function ‘sentence-end’ to construct the
    regexp describing the end of a sentence, when the value of the variable
    ‘sentence-end’ is nil.  See Info node ‘(elisp)Standard Regexps’.

    You can customize this variable.

set at its default of t .

Naturally, AUCTeX will obey your settings.

-- 
David Kastrup